Subject: Re: [bitcoin-dev] Custom signet for testing full RBF

From: Michael Folkson <[email-masked]>
Date: Tue, 22 Nov 2022 11:20:44 +0000

Hi alicexbt

Thanks for setting this up. Generally it seems to me like an excellent idea to set up custom signets (and/or get proposals enabled on the default signet) for testing and experimenting with new proposals.

I have two questions.

1) In this particular case the -mempoolfullrbf configuration option is in the recent Bitcoin Core 24.0 release and so can be used both on mainnet and the default signet, testnet etc. What could be tested on this custom signet that can't be tested on the default signet with Bitcoin Core 24.0? Perhaps there are some things that are easier to test with a smaller custom signet network starting from scratch?

2) I know a number of people have struggled (e.g. [0], [1]) to get a custom signet set up. I think the CTV signet took a while to get set up too. It seems you followed the instructions on the Bitcoin wiki [2] for setting this one up? Was there anything you found difficult or was counterintuitive getting this custom signet set up? You are the sole block signer on this custom signet. How regularly are you mining blocks (e.g. strictly every 10 minutes, replicating the Poisson process on mainnet, adhoc etc?) Are you running this custom signet node on the same machine as a default signet, mainnet, testnet full node? I'm a little tentative to start joining custom signet networks on the same machine that is already running other nodes but perhaps there are no problems. 

I'm not sure yet if I have a use case in mind for this particular custom signet but I'm very interested in custom signet setup generally and the docs/resources to make this as easy as possible so thanks again for posting about this.

Thanks
Michael

[0]: https://bitcoin.stackexchange.com/questions/114477/could-someone-share-with-me-some-documentations-or-sites-on-how-to-set-up-a-cust
[1]: https://bitcoin.stackexchange.com/questions/114724/peer-discovery-on-a-custom-signet-custom-signetchallenge
[2]: [0]: https://en.bitcoin.it/wiki/Signet#Custom_Signet

--
Michael Folkson
Email: michaelfolkson at protonmail.com
Keybase: michaelfolkson
PGP: 43ED C999 9F85 1D40 EAF4 9835 92D6 0159 214C FEE3

------- Original Message -------
On Sunday, November 20th, 2022 at 08:36, alicexbt via bitcoin-dev <[email-masked]> wrote:

> Hi Bitcoin Developers,
> 
> I have setup a [custom signet][0] for testing full RBF. You can connect to one or more of these nodes using `addnode`:
> 
> 13.115.34.55 (issuer, full-rbf)
> kfupbqwb2yvzzqjomfq5pkem553a6uzp2k73seqn4d46smy7azua.b32.i2p (rbf-optin)
> luvczzzppiqnc2b7poivkxlugafe3uqaj245ebjqxtceio7poaorqcyd.onion (full-rbf)
> 
> Example config:
> 
> `signet=1 signetchallenge=5121035daaa313aada6310340a242af17238cc1fd8849e875940bce65a60ac7e0e0ff751ae proxy=127.0.0.1:9050 [signet] addnode=luvczzzppiqnc2b7poivkxlugafe3uqaj245ebjqxtceio7poaorqcyd.onion mempoolfullrbf=1`
> 
> Example for a simple test case:
> 
> - Run 2 nodes
> - Connect node 1 with i2p node and use default opt-in rbf
> - Connect node 2 with node 1 and onion node. This node should use `mempoolfullrbf=1` in config and compile bitcoind using PR [#26454][1] branch
> - Broadcast Tx1 using node 2 and replace with Tx2 using `bumpfee` RPC
> 
> It will be fun to test with more nodes joining this custom signet. If anyone interested to test, please post your bitcoin address in [full-rbf room][2]. We can even setup an explorer if this experiment makes sense.
> 
> [0]: https://en.bitcoin.it/wiki/Signet#Custom_Signet
> [1]: https://github.com/bitcoin/bitcoin/pull/26454
> [2]: #full-rbf:matrix.org
> 
> Sent with Proton Mail secure email.
> 
> /dev/fd0
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev